## org.eclipse.datatools.sqltools.sqleditor
Class SQLEditor.AdaptedSourceViewer

    java.lang.Object
      ProjectionViewer
          org.eclipse.datatools.sqltools.sqleditor.SQLEditor.AdaptedSourceViewer

Enclosing class:
  SQLEditor

public class SQLEditor.AdaptedSourceViewer
extends ProjectionViewer

See Also:
  Serialized Form

Constructor Summary
`SQLEditor.AdaptedSourceViewer(Composite parent, IVerticalRuler verticalRuler, IOverviewRuler overviewRuler, boolean showAnnotationsOverview, int styles)`

Method Summary
`IContentAssistant` `getContentAssistant()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLEditor.AdaptedSourceViewer

    public SQLEditor.AdaptedSourceViewer(Composite parent,
                                         IVerticalRuler verticalRuler,
                                         IOverviewRuler overviewRuler,
                                         boolean showAnnotationsOverview,
                                         int styles)

Parameters:
  `parent` -
  `verticalRuler` -
  `overviewRuler` -
  `showAnnotationsOverview` -
  `styles` -

Method Detail

### getContentAssistant

    public IContentAssistant getContentAssistant()

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.